> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Submission

> Updates a submission's fields (address, radius, limits, loss history, etc.). Only sends fields that need to change.



## OpenAPI

````yaml put /submission/{displayId}/{transactionId}
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /submission/{displayId}/{transactionId}:
    put:
      tags:
        - Submission Data
      summary: Update Submission
      description: >-
        Updates a submission's fields (address, radius, limits, loss history,
        etc.). Only sends fields that need to change.
      operationId: updateSubmission
      parameters:
        - name: AccessToken
          in: header
          required: true
          schema:
            type: string
        - name: displayId
          in: path
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                dba_name:
                  description: DBA name
                  type: string
                legal_name:
                  description: Legal name
                  type: string
                years_business:
                  description: Years in business
                  type: integer
                phy_street:
                  description: Physical street address
                  type: string
                phy_city:
                  type: string
                phy_state:
                  type: string
                phy_zip:
                  type: string
                radius_0_50:
                  description: Radius 0-50 miles %
                  type: integer
                radius_51_200:
                  description: Radius 51-200 miles %
                  type: integer
                radius_201_500:
                  description: Radius 201-500 miles %
                  type: integer
                radius_501:
                  description: Radius 501+ miles %
                  type: integer
                limit_al:
                  description: AL limit (750000, 1000000, 1500000)
                  type: integer
                mtc_limit_option:
                  description: MTC limit option
                  type: integer
                loss_count_al_year1:
                  description: AL loss count year 1
                  type: integer
                loss_paid_al_year1:
                  description: AL loss paid year 1
                  type: number
              type: object
      responses:
        '200':
          description: Submission updated
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  submission_number:
                    type: string
                  transaction_id:
                    type: integer
                  submission_status:
                    type: string
                type: object
        '401':
          description: Unauthorized
        '404':
          description: Submission not found
        '422':
          description: Submission not available for updates
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````